I have a POWERBOOK G4 running 10.3.9, can I purchase snow leopard as my 10.3.9 doesn't seem compatiable with alot of things like quicktime and flash?

I have an older powerbook that I need to start 're-using' but it seems it is now quite outdated - what is my best OS X purchase to start using this computer again - can i get snow Leopard?

Back To Product

Follow this Question

1 Answer from the Community

  • Answer

    No, Snow Leopard only works with Macs that have Intel processors.

    You can continue using 10.3.9 and update or upgrade the add-on software (like QuickTime and Flash) to more recent versions, although for some software the newest versions may require a newer version of the OS. You may find a middle ground where you don't have the latest, but what you can get under 10.3.9 is good enough.

    Or, you can upgrade you PBG4 to Leopard (not Snow Leopard) 10.5 and then get the newest versions of add-on software. Apple no longer sells 10.5 so you'll need to find it from a different reseller (maybe get the box set with iLife '09).

    One more thing - the more RAM you put in your system, the faster it will perform. Spring for the maximum upgrade (see www.crucial.com)

    Was this useful? Answer 1

    3 of 4 people found this useful

Related Questions